﻿/*standard device styling (desktops larger than ipad)*/
#FooterContainer 
{
     display: flex;
     flex-direction: row;
     align-items: center;
     width: 100%;
     height: 5vh;
     background-color: white;
     color: black;
     font-size: .75rem;
     position: static !important;
     top: auto;
     bottom: auto;
     z-index: 0;
     gap: 1%;
}
#RecertLogo
{
    height: 4svh;
    background-color: white;
}
.Link
{
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
#RecertLogo:hover
{
    height: 4.5dvh;
    transition-duration: 0.4s;
}
.Copyright
{
    font-size: clamp(0.25rem, 0.7vw, 0.75rem);
    width: auto;
    text-align: right;
    text-wrap-mode: nowrap;
    margin-left: auto;
}

/*portrait screen overrides*/
@Media (orientation: portrait)
{
    /*unused*/
}

/*ipad landscape screen overrides*/
@media (min-width: 1024px) and (max-width: 1366px) and (orientation: landscape)
{
    .Copyright
    {
        font-size: clamp(0.75rem, 0.7vw, 1.5rem);
        width: auto;
        text-align: right;
        text-wrap-mode: nowrap;
        margin-left: auto;
    }
}

/*ipad portrait screen overrides*/
@media (min-height: 1024px) and (max-height: 1366px) and (orientation: portrait)
{
    .Copyright
    {
        font-size: clamp(0.66rem, 0.7vw, 1.25rem);
        width: auto;
        text-align: right;
        text-wrap-mode: nowrap;
        margin-left: auto;
    }
}

/*smaller than ipad landscape screen overrides*/
@media (max-width: 1023px) and (orientation: landscape)
{
    .Copyright
    {
        font-size: clamp(0.5rem, 0.7vw, 1.25rem);
        width: auto;
        text-align: right;
        text-wrap-mode: nowrap;
        margin-left: auto;
    }
}

/*smaller than ipad portrait screen overrides*/
@media (max-height: 1023px) and (orientation: portrait)
{
    .Copyright
    {
        font-size: clamp(0.4rem, 0.7vw, 1.25rem);
        width: auto;
        text-align: left;
        text-wrap-mode: nowrap;
        margin-left: auto;
    }
}

/*safari browser overrides in portrait orientation*/
@media (orientation: portrait)
{
    @supports (-webkit-touch-callout: none)
    {
        /*unused*/
    }
}

/*safari browser overrides in landscape orientation*/
@media (orientation: landscape)
{
    @supports (-webkit-touch-callout: none)
    {
        /*unused*/
    }
}
